Subject: [httpwg/http-extensions] Origin set definition (and port interaction with Alt-Svc) [origin-frame] (#331)

From: HTTP issue updates <[email-masked]>
Date: Fri, 21 Apr 2017 14:42:33 -0700

Some potential (editorial?) issues with the Origin Set definition (Section 2.3):

* For Host we may wish to use a better term than "the value sent in Server Name Indication".  In particular, this could cause problems in the future for any SNI-masking work.  This also has potentially weird interactions with DANE as it specifies that the SNI should be the terminal CNAME or SRV record target.

* For Port, there is a weird interaction with Alt-Svc.  In particular, the server's port may be different than the port of Origin.  For example, an Alt-Svc for https://www.example.com to alt.example.com:8443 still has the origin of https://www.example.com:443 but given the current wording would have the incorrect initial origins set of https://www.example.com:8443

Would it be better to have the implicit initial Origin Set from a client's perspective (when an ORIGIN frame is first received) be "the origin (as per [RFC6454]) that resulted in the successful establishment of the connection" ?   

This is ambiguous from the servers' perspective but perhaps much cleaner and simpler from the client's perspective.

Another ambiguity: if a 421 is received for the last origin in the Origin Set, does it become empty or return to uninitialized?  (Should we clarify the former, and that clients may wish to soon close out the connection if no new origin additions are received soon?)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/331